cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <>
Subject [jira] [Commented] (CB-9370) Cordova-js tests are failing on node 0.12
Date Fri, 30 Oct 2015 22:42:27 GMT


ASF subversion and git services commented on CB-9370:

Commit 064b25a40aab8fc2f210fdbb394d63c31e7d3e6d in cordova-js's branch refs/heads/4.1.x from
[;h=064b25a ]

CB-9370 Changes jsdom dependency to avoid package installation issues

> Cordova-js tests are failing on node 0.12
> -----------------------------------------
>                 Key: CB-9370
>                 URL:
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CordovaJS
>    Affects Versions: 4.1.0
>         Environment: Windows/Mac OSX machine,
> Node JS 0.12.7
>            Reporter: Vladimir Kotikov
>            Assignee: Vladimir Kotikov
>              Labels: cordova-js
>             Fix For: 4.1.0
> Since unit tests for cordova-js started
failing on AppVeyor CI with unclear message {{Fatal error: Cannot set property length of [object
Object] which has only a getter}}.
> It looks like the origin of failures - updated NodeJS version on AppVeyor build machines.
Failure also can be reproduced on local machine with Node@0.12.5 installed.
> The reason of failures - is outdated {{jsdom-nogyp}} dependency (last updated about 2
years ago). The solution is to replace {{jsdom-nogyp}} with original {{node-jsdom}}, which
works fine with node@12.x. It also would be great to test such cases through CI.

This message was sent by Atlassian JIRA

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message